Client tests

Get client test details

Use this method to get detailed information about a specific client test.

GET
/api/v2/my/quizzes/{quizId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

quizId*integer

The identifier of a test.

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/quizzes/1" \  -H "accept-language: ja"
{  "id": 1,  "caption": "Discover Your Trading Style",  "completed": false,  "details": "Takes just a couple of minutes",  "requiredForLevelsId": [    1  ],  "approvalStatus": "new",  "questions": [    {      "id": 0,      "question": "The text of the 1st question",      "answers": [        {          "id": 0,          "text": "The text of the 1st answer option",          "priority": 0        }      ],      "type": "open",      "category": "General questions",      "priority": 1    }  ]}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}